io.agora.rtc

## Class AgoraVideoRenderer

- java.lang.Object
- - io.agora.rtc.AgoraVideoRenderer

-     public class AgoraVideoRenderer
      extends java.lang.Object

  Wrapper for video renderer functionality.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the video renderer instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoRenderer(long cptr)` Constructs a video renderer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video renderer and releases native resources.
    `private void` | `ndestroy()` Destroys the native video renderer.
    `int` | `setMirror(int mirror)` Sets the mirror mode.
    `int` | `setRenderMode(int render_mode)` Sets the render mode.
    `int` | `setView(long view)` Sets the view for rendering.
    `int` | `unsetView()` Unsets the view.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the video renderer instance.

  - ### Constructor Detail

    - #### AgoraVideoRenderer

          public AgoraVideoRenderer(long cptr)

      Constructs a video renderer.
      Parameters:
        `cptr` - Native pointer to the video renderer instance

  - ### Method Detail

    - #### setRenderMode

          public int setRenderMode(int render_mode)

      Sets the render mode.
      Parameters:
        `render_mode` - Render mode value
      Returns:
        0 on success, <0 on failure

    - #### setMirror

          public int setMirror(int mirror)

      Sets the mirror mode.
      Parameters:
        `mirror` - Mirror mode value
      Returns:
        0 on success, <0 on failure

    - #### setView

          public int setView(long view)

      Sets the view for rendering.
      Parameters:
        `view` - View handle
      Returns:
        0 on success, <0 on failure

    - #### unsetView

          public int unsetView()

      Unsets the view.
      Returns:
        0 on success, <0 on failure

    - #### ndestroy

          private void ndestroy()

      Destroys the native video renderer.

    - #### destroy

          public void destroy()

      Destroys the video renderer and releases native resources.